<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class CentroCusto extends Model
{
    use HasFactory;
use SoftDeletes;
    protected $fillable=[
        'codigo',
        'nome',
        'descricao',
        'tipo',
        'ativo'
    ];

          public function custo_operacional()
      {
    
        return $this->hasMany(CustoOperacional::class);
      }

      public function conta_pagar()
      {
    
        return $this->hasMany(ContaPagar::class);
      }
       public function lancamento()
      {
        return $this->hasMany(LancamentoContabil::class);
      }


}